@import "config.scss";

:root {
  --site-main-padding-sides: 40px;
}

.show-on-mobile {
  display: none;
}

@media (min-width: $resolution-tiny) {
  body {
    margin: 0 30px;
  }
  .site-main {
    margin-top: 100px;
  }
}

@media (max-width: $resolution-tiny) {
  body {
    margin: 15px !important;
  }
  .site-main {
    padding: 20px;
  }
  hr.post-end {
    width: 40%;
  }
  .floats {
    grid-template-columns: 1fr !important;
  }

  #site-header {
    width: 100%;
    left: 0px;
    border-radius: 0px;
  }

  body {
    margin: 0 !important;
  }
  .site-main {
    max-width: unset;
    width: calc(100% - var(--site-main-padding-sides));
  }

  #page {
    min-height: calc(100vh + 300px);
  }
}

@media (min-width: $resolution-small) {
  .section-inner {
    width: calc(100vw - 60px);
  }
  .show-on-mobile-only {
    display: none !important;
  }
  .site-main {
    margin-top: 120px;
  }
}
@media (max-width: $resolution-small) {
  .hide-below-small {
    display: none !important;
  }
}

@media (min-width: $resolution-medium) {
  .section-inner {
    // TODO
    max-width: 950px;
  }
}
@media (max-width: $resolution-medium) {
  .site-main {
    min-height: calc(100vh - 70px - 30px);
  }

  .posts-group {
    display: block;
  }

  .hide-in-mobile,
  .hide-on-mobile,
  .site-nav.hide-in-mobile {
    display: none !important;
  }
  .show-on-mobile {
    display: flex;
  }
  .posts-group .post-year {
    margin: -6px 0 4px;
  }
  #spotlight.error-404 {
    flex-direction: column;
    text-align: center;
  }
  #spotlight.error-404 .banner-404 {
    margin: 0;
  }
  td.floatOnMobile {
    float: left;
    width: 100%;
    margin-bottom: 5px;
    padding-left: 25px;
  }
}

@media (min-width: $resolution-large) {
  hr.post-end {
    width: 30%;
  }
}
@media (max-width: $resolution-large) {
  hr.post-end {
    width: 30%;
  }
}
